searchNodes=[{"ref":"Zbar.html","title":"Zbar","type":"module","doc":"Scan all barcodes in a JPEG image using the zbar library."},{"ref":"Zbar.html#scan/2","title":"Zbar.scan/2","type":"function","doc":"Scan all barcode data in a JPEG-encoded image. jpeg_data should be a binary containing JPEG-encoded image data. timeout is the time in milliseconds to allow for the processing of the image (default 5000 milliseconds). Returns: {:ok, [%Zbar.Symbol{}]} on success {:error, :timeout} if the zbar process hung for some reason {:error, binary()} if there was an error in the scanning process"},{"ref":"Zbar.Symbol.html","title":"Zbar.Symbol","type":"module","doc":"The Zbar.Symbol struct represents a barcode that has been detected by zbar. It has the following fields: type: The type of barcode that has been detected, as a string. Possible values are listed in type_enum/0 quality: An integer metric representing barcode scan confidence. Larger values are better than smaller values, but only the ordered relationship between two values is meaningful. The values themselves are not defined and may change in future versions of the library. points: The list of coordinates (encoded as {x, y} tuples) where a barcode was located within the source image. The structure of the points depends on the type of barcode being scanned. For example, for the QR-Code type, the points represent the bounding rectangle, with the first point indicating the top-left positioning pattern of the QR-Code if it had not been rotated. data: The actual barcode data, as a binary string. Note that this is a string that may contain arbitrary binary data, including non-printable characters."},{"ref":"Zbar.Symbol.html#t:point/0","title":"Zbar.Symbol.point/0","type":"type","doc":""},{"ref":"Zbar.Symbol.html#t:t/0","title":"Zbar.Symbol.t/0","type":"type","doc":"The Zbar.Symbol struct represents a barcode that has been detected by zbar. It has the following fields: type: The type of barcode that has been detected, as a string. Possible values are listed in type_enum/0 quality: An integer metric representing barcode scan confidence. Larger values are better than smaller values, but only the ordered relationship between two values is meaningful. The values themselves are not defined and may change in future versions of the library. points: The list of coordinates (encoded as {x, y} tuples) where a barcode was located within the source image. The structure of the points depends on the type of barcode being scanned. For example, for the QR-Code type, the points represent the bounding rectangle, with the first point indicating the top-left positioning pattern of the QR-Code if it had not been rotated. data: The actual barcode data, as a binary string. Note that this is a string that may contain arbitrary binary data, including non-printable characters."},{"ref":"Zbar.Symbol.html#t:type_enum/0","title":"Zbar.Symbol.type_enum/0","type":"type","doc":""},{"ref":"readme.html","title":"Zbar","type":"extras","doc":"Zbar Scan one or more barcodes from a JPEG image. The API for this library is very simple: iex&gt; File.read!(&quot;QR_REF1.jpg&quot;) |&gt; Zbar.scan() %Zbar.Symbol{ data: &quot;REF1&quot;, points: [{40, 40}, {40, 250}, {250, 250}, {250, 40}], quality: 1, type: &quot;QR-Code&quot; } More detailed API documentation can be found at https://hexdocs.pm/zbar."},{"ref":"readme.html#installation","title":"Zbar - Installation","type":"extras","doc":"This package is available in Hex and can be installed by adding :zbar to your list of dependencies in mix.exs: def deps do [{:zbar, &quot;~&gt; 0.2&quot;}] end You will also need to have zbar and libjpeg installed in order to compile the required native code. On OSX with Homebrew, this is as simple as: $ brew install zbar libjpeg"}]